echo off
rem Demo batch file to program the BL233B/I2C2PC internal eeprom 
rem sjb 8Feb2012

rem PORT will need to be changed for each computer. 
rem Use the same connector on the computer. Changing the USB hub
rem will likely change the PORT
rem If using the USB port you might be able to use /VCP0 to find it automatically

rem Edit the directories, files and ports below for your system
set comport=\VCP0
rem if you are using a usb comport you may need to allow time for it to connect (in seconds)
set USBPause=0
set eepromfile="c:\l\bloc\a\i2cad\ate\bl233b_factory_eeprom_settings.dat"
set gooddumpfile="c:\l\bloc\a\i2cad\ate\bl233b_factory_eeprom_settings_dump.txt"
set realterm="c:\Program Files\BEL\realterm\realterm.exe"
set resultfile=atein.dat

rem needs cmp.exe from unxutils as the dos FC.EXE doesn't return error codes so is useless
rem needs choice.exe from Freedos as winXP doesn't have choice
rem needs ctext.exe to colorise text as XP no longer has ansi.sys

set compare=utils\cmp.exe -c
set ct=utils\ctext.exe
set choice=utils\choice.exe
set sleep=utils\sleep.exe

set cw=%ct% {white}

cls
%ct% {bwhite}
echo   Program to Initialise EEPROM in BL233 / I2C-2-PC adaptor
echo  ctrl+C to exit batch file.
echo .
%cw%

:start
del %resultfile%
cls

%ct% {bwhite} Connect Device (Insert cables eg RS232 cable, Power, USB, and I2C cables ){white}{\n}
echo .
%ct% {bmagenta}
pause

%ct% {bcyan} Programming BL233B / I2C2PC EEProm....{white}{\n}
echo  Pause %USBPause% seconds for USB to connect 
%sleep% %USBPause%000                                        

start "Programming BL233 / I2C2PC EEProm" /wait %realterm% port=%comport% baud=57600 chardly=10 flow=2 sendfile=%eepromfile% capsecs=1 capquit=%resultfile%

%compare% %resultfile% %gooddumpfile%
if errorlevel 1 goto err1
%ct% {bgreen} EEProm Programmed OK {white}{\n}
goto systemtest

:err1
%ct% {bred}******** ERROR Programming EEProm ***************************{white}{\n}


pause
%ct% {bmagenta}
%choice% /T:y,05  Retry?
if errorlevel 2 goto systemtest
if errorlevel 1 goto start
exit

:systemtest
rem you can insert other system tests here...

%ct% {bwhite} Remove Power {white}{\n}
%ct% {bwhite}  Change to Next unit. {white}{\n}

pause
goto start


